import matplotlib.pyplot as plt
import seaborn as sns

iris = sns.load_dataset("iris")
mrks = {'virginica': 'o', 'setosa': 'D', 'versicolor': 'X'}
order = ['virginica', 'setosa', 'versicolor']
sns.scatterplot(x='sepal_length', y='petal_length',
                style='species', data=iris,
                style_order=order, markers=mrks)

plt.show()
